coef.bss {JADE} | R Documentation

## Coefficients of a bss Object

### Description

Extracts the estimated unmixing matrix from an object of class bss.

### Usage

    ## S3 method for class 'bss'
    coef(object, ...)

### Arguments

`object` | object of class bss.
`...` | further arguments to be passed to or from methods.

### Author(s)

Klaus Nordhausen

### Examples

    A<- matrix(rnorm(9),3,3)
    s1 <- arima.sim(list(ar=c(0.3,0.6)),1000)
    s2 <- arima.sim(list(ma=c(-0.3,0.3)),1000)
    s3 <- arima.sim(list(ar=c(-0.8,0.1)),1000)

    S <- cbind(s1,s2,s3)
    X <- S %*% t(A)

    res1<-AMUSE(X)
    coef(res1)
    coef(res1) %*% A # should be a matrix with one dominant element in each row and column

[Package JADE version 2.0-2 Index]